=== debian/changelog ===
oem-config (1.54.13netbook5araneo8) araneo; urgency=low

  * sharp-ascii-pass.patch: Fix erroneous patch lines that caused changes in
    sharp.patch for user-setup-udeb.templates to be overridden.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Fri, 16 Oct 2009 12:00:45 -0400

oem-config (1.54.13netbook5araneo7) araneo; urgency=low

  * sharp-ascii-pass.patch: Only allow ascii password

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 14 Oct 2009 17:27:20 -0400

oem-config (1.54.13netbook5araneo6) araneo; urgency=low

  * sharp-hosts.patch: Add localhost and default IPv6 addresses to /etc/hosts

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 14 Oct 2009 10:42:52 -0400

oem-config (1.54.13netbook5araneo5) araneo; urgency=low

  * sharp.patch: Call usermod even if adduser exits with an error (LP: #428271)

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 23 Sep 2009 19:47:59 -0400

oem-config (1.54.13netbook5araneo4) araneo; urgency=low

  * sharp.patch: Modify patch so applying of timezone setting is no longer
    skipped. Allows us to preseed the timezone to Asia/Tokyo.  LP: #420399

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Thu, 03 Sep 2009 20:48:23 -0400

oem-config (1.54.13netbook5araneo3) araneo; urgency=low

  * sharp.patch: Measures of problem that occurs because end of metacity is slow

 -- Naoto Hanatani <hanatani.naoto@sharp.co.jp>  Wed, 02 Sep 2009 18:45:45 +0900

oem-config (1.54.13netbook5araneo2) araneo; urgency=low

  * sharp.patch: Integrate sharp's changes to fix LP: #417143

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Thu, 27 Aug 2009 13:10:02 -0400

oem-config (1.54.13netbook5araneo1) araneo; urgency=low

  * sharp.patch: Integrate sharp's changes with shortcutkeyrm script removed
    since it currently breaks the build
  * preseed.patch: Read in debconf preseeding from
    /usr/share/oem-config/preseed.d
  * Don not apply gui-langs-in-list.patch as it conflicts with Sharp's changes
    and is not needed since language selection is skipped in araneo version

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Mon, 24 Aug 2009 11:14:34 -0400

oem-config (1.54.13netbook5) netbook-jaunty; urgency=low

  * debian/oem-config.dirs, debian/rules, debian/oem-config.upstart,
    debian/patches/upstart.patch: Don't use upstart for oem-config/gdm
  * debian/init: Move the lateboot-setup commands previously in the
    upstart task into the init script

 -- Michael Terry <michael.terry@canonical.com>  Mon, 24 Aug 2009 10:33:36 -0400

oem-config (1.54.13netbook4) netbook-jaunty; urgency=low

  * gui-langs-in-list.patch:
    - lib/frontend/gtk_ui.py: implemented language list widget as treeview instead of iconview, 
    which is more appropriate for oem with few langs than for ubuntu with many
    - gui/glade/step_language: same as above
  * oem-langlist.patch:
    - lib/components/language.py: added check for oem-specific langauge list 
    (/usr/share/oem-langagues/languagelist.data.gz). If not found, use default

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Wed, 29 Jul 2009 12:53:42 -0400

oem-config (1.54.13netbook3) netbook-jaunty; urgency=low

  * debian/patches/upstart.patch, debian/oem-config.upstart:
    - Revert changes in last upload.  GDM is back to using upstart.

 -- Michael Terry <michael.terry@canonical.com>  Thu, 23 Jul 2009 16:05:11 -0400

oem-config (1.54.13netbook2) netbook-jaunty; urgency=low

  * debian/patches/upstart.patch, debian/oem-config.upstart:
    - Use update-rc.d to control gdm, it doesn't use upstart
  * debian/control:
    - Depend on ume-config-base for update-upstart (used for oem-config
      itself)

 -- Michael Terry <michael.terry@canonical.com>  Thu, 25 Jun 2009 15:53:56 -0400

oem-config (1.54.13netbook1) netbook-jaunty; urgency=low

  * Merge with Jaunty, remaining changes:
    + debian/control:
      - Build-Depend on quilt
      - Recommend language-installer
    + debian/init:
      - Don't switch VTs when shutting down usplash
    + debian/oem-config.dirs, debian/oem-config.upstart,
      debian/patches/upstart.patch:
      - Use upstart to control oem-config
    + debian/rules:
      - Use quilt
      - Install upstart script as initially-disabled
    + debian/patches/add-langpacks.patch:
      - Call language-installer when done with oem-config
    + debian/patches/hostname.patch:
      - Set the hostname to the username
    + debian/patches/auto-login.patch:
      - Default auto login to 'on'

 -- Michael Terry <michael.terry@canonical.com>  Mon, 08 Jun 2009 15:47:02 -0400
