=== d-i/source/user-setup/debian/changelog ===
user-setup (1.23ubuntu20) jaunty; urgency=low

  * Add preseedable passwd/auto-login-backup question; if set (e.g. to
    "oem") and passwd/auto-login=true, this backs up the previous contents
    of the configuration files (e.g. to /etc/kde4/kdm/kdmrc.oem). This can
    be used by oem-config to recover the old contents of the configuration
    files later (LP: #361272).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Apr 2009 14:28:56 +0100

user-setup (1.23ubuntu19) jaunty; urgency=low

  * Install ecryptfs-utils if it's already in use by users on an existing
    /home (LP: #361627).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Apr 2009 12:29:32 +0100

user-setup (1.23ubuntu18) jaunty; urgency=low

  * Update Ubuntu-specific strings from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Apr 2009 02:26:42 +0100

user-setup (1.23ubuntu17) jaunty; urgency=low

  * Update Ubuntu-specific strings from Launchpad, including some strings
    previously stuck with old fuzzy translations due to a scripting error
    (LP: #356876).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Apr 2009 13:36:42 +0100

user-setup (1.23ubuntu16) jaunty; urgency=low

  * Don't offer encrypting the home directory if the selected user's home
    directory already exists (LP: #321345).
  * Update Ubuntu-specific strings from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Apr 2009 12:38:09 +0100

user-setup (1.23ubuntu15) jaunty; urgency=low

  [ Bryan McLellan ]
  * Consider a password of '!' in shadow for root to be unset (LP: #340841).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Mar 2009 14:16:04 +0000

user-setup (1.23ubuntu14) jaunty; urgency=low

  * user-setup/password-weak can't be preseeded since that would interfere
    with correct interactive behaviour, but create
    user-setup/allow-password-weak which can.
  * Rename passwd/allow-password-empty to user-setup/allow-password-empty,
    for consistency with user-setup/password-empty. Provide compatibility
    with the old name for one release.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Feb 2009 05:37:10 +0000

user-setup (1.23ubuntu13) jaunty; urgency=low

  * updated to edit the kde4 kdmrc as kde4 is the default now

 -- Roman Shtylman <shtylman@gmail.com>  Thu, 19 Feb 2009 15:55:40 +0000

user-setup (1.23ubuntu12) jaunty; urgency=low

  * Add weak password detection (purely length-based for now, matching
    partman-crypto).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Feb 2009 21:42:45 +0000

user-setup (1.23ubuntu11) jaunty; urgency=low

  * Disable installation of pre-pkgsel.d/10kdesudo; it does nothing for
    Ubuntu, and causes a confusing message that worries some people.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Feb 2009 12:27:02 +0000

user-setup (1.23ubuntu10) jaunty; urgency=low

  * Update translation templates.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 09 Feb 2009 13:55:42 +0100

user-setup (1.23ubuntu9) jaunty; urgency=low

  * chroot to get the mount passphrase and mount /sys and /dev/shm to
    support the encrypted home code.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 03 Feb 2009 09:44:19 +0100

user-setup (1.23ubuntu8) jaunty; urgency=low

  * apt-install ecryptfs-utils in user-setup-ask rather than -apply to
    better accommodate ubiquity.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 27 Jan 2009 18:02:52 +0000

user-setup (1.23ubuntu7) jaunty; urgency=low

  * Backport from trunk:
    - Be more careful about test arguments in the root_password function, in
      case (for example) the encrypted password string is "!" (thanks, Uli
      Heller; LP: #307443).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Jan 2009 17:59:52 +0000

user-setup (1.23ubuntu6) jaunty; urgency=low

  [ Dustin Kirkland ]
  * user-setup-apply: add support for initial passphrase wrapping,
    in the encrypted home directory case, LP: #314482

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Jan 2009 23:02:06 +0000

user-setup (1.23ubuntu5) jaunty; urgency=low

  * Load aes, cbc, and ecb modules after installing crypto-modules but
    before running ecryptfs-setup-private.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Jan 2009 15:35:10 +0000

user-setup (1.23ubuntu4) jaunty; urgency=low

  * Install crypto-modules if home directory encryption is requested
    (LP: #309541).
  * Re-enable home directory encryption option.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Jan 2009 00:21:36 +0000

user-setup (1.23ubuntu3) jaunty; urgency=low

  * Disable home directory encryption option for now, since the kernel
    doesn't yet provide the right pieces (e.g. ecryptfs.ko) in udebs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Dec 2008 16:34:24 +0000

user-setup (1.23ubuntu2) jaunty; urgency=low

  [ Dustin Kirkland ]
  Changes for LP: #302870
  * user-setup-apply: Add support for adduser --encrypt-home;  remove
    deprecated encrypted-private (replaced in the installer by
    encrypted home support)
  * debian/user-setup-udeb.templates: Add encrypt-home debconf question;
    remove deprecated encrypted-private
  * user-setup-ask: prompt for encrypt-home; remove the more complicated
    encrypted-private dialogs

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 10 Dec 2008 13:50:38 -0800

user-setup (1.23ubuntu1) jaunty; urgency=low

  [ Evan Dandrea ]
  * Do not force chpasswd to md5 crypted passwords (LP: #51551).

  [ Colin Watson ]
  * Resynchronise with Debian. Remaining changes:
    - Add the initial user to the adm, dip, lpadmin, and sambashare
      groups too, and to the admin group if no root password is set. Do not
      add them to the audio, video, floppy, dip, netdev, or powerdev groups.
    - Allow the admin group to gain root privileges using sudo.
    - Default passwd/root-login to false.
    - Create the spu group on powerpc/ps3 and powerpc/cell.
    - Make is_system_user always return false if OVERRIDE_SYSTEM_USER is
      set.

