=== debian/changelog ===
oem-config (1.54.13netbook5athens1) athens; urgency=low

  * Merge from netbook-jaunty, remaining changes:
    - greek-default.patch

 -- Michael Terry <michael.terry@canonical.com>  Mon, 24 Aug 2009 11:22:39 -0400

oem-config (1.54.13netbook4athens1) athens; urgency=low

  * greek-default.patch:
    - lib/components/language.py: set Greek as default language

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Fri, 14 Aug 2009 11:25:58 -0400
