## oem-config 1.54.13netbook5moblin2

=== debian/changelog ===
oem-config (1.54.13netbook5moblin2) moblin-jaunty; urgency=low

  * debian/oem-config-check.install:
    - Don't install main-menu.d to disable "OEM mode (for manufacturers only)"
      text in the installer. (LP: #426850)

 -- Cody A.W. Somerville <cody.somerville@canonical.com>  Thu, 10 Sep 2009 13:03:48 -0300

oem-config (1.54.13netbook5moblin1) moblin-jaunty; urgency=low

  * Merge with netbook, remaining changes:
    - debian/control: change metacity depend to icewm
    - oem-config-dm: change metacity to icewm 

 -- Michael Terry <michael.terry@canonical.com>  Mon, 24 Aug 2009 10:36:15 -0400

oem-config (1.54.13netbook4moblin1) moblin-jaunty; urgency=low

  * gui-langs-in-list.patch:
    - lib/frontend/gtk_ui.py: implemented language list widget as treeview instead of iconview, 
    which is more appropriate for oem with few langs than for ubuntu with many
    - gui/glade/step_language: same as above
  * oem-langlist.patch:
    - lib/components/language.py: added check for oem-specific langauge list 
    (/usr/share/oem-langagues/languagelist.data.gz). If not found, use default

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Wed, 29 Jul 2009 14:17:39 -0400

oem-config (1.54.13netbook3moblin1) moblin-jaunty; urgency=low

  * rebase on netbook3 and apply moblin changes
    - debian/control: change metacity depend to icewm
    - oem-config-dm: change metacity to icewm 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 23 Jul 2009 17:13:20 -0400
